die() {
	echo "$0: Error: $*" >&2
	exit 1
}

get() {
	wget https://github.com/love2d/love/releases/download/$version/love-$version-win32.zip || die wget
	unzip love-$version-win32.zip || die unzip
	test -e love-$version-win32/ || mv love-$version*-win32/ love-$version-win32 || die "Can't find win32 love directory"
}

version="11.3"

mkdir -p tmp/eitmer-win32 || die mkdir

cd tmp
test -e love-$version-win32/ || get
cd love-$version-win32/
cat love.exe ../../eitmer.love > ../eitmer-win32/eitmer.exe || die cat
cp *.dll license.txt ../eitmer-win32/ || die cp
cp ../../README ../eitmer-win32/readme.txt || die cp
cp ../../CC0 ../eitmer-win32/CC0.txt || die cp

cd ..
zip -9 -r ../eitmer-win32.zip eitmer-win32
